void r2d_lcd_power_on(void)
{
}

void r2d_lcd_power_off(void)
{
}

void r2d_refresh(void)
{
	UINT16 i,j;

    UINT32 v;

    UINT32  *p;
	HDC bm;

	bm=lcd_get_dc();
	

	
	//lcd_set_pos(0,0);// set X to 0
	
    	
    // rvf_send_trace("R2D REFRESH",strlen("R2D REFRESH"), NULL_PARAM, 
	//		   RV_TRACE_LEVEL_DEBUG_HIGH, TRACE_XXX );

	p=r2d_g_framebuffer->p_memory_words;
    
/*
#if (R2D_REFRESH == R2D_VERTICAL)
	i=0;
	while(i<R2D_WIDTH)
	{
	  j=0;
	  while(j<R2D_HEIGHT)
	  {
            v=*p++;
			//lcd_set_pos(i,j);
			SetPixelV(bm,i,j ,
		   (~v) & 0x00FFFFFF);
		    //lcd_transmit_data((~v) & 0x00FFFFFF);
				  
			j++;	  
	  }	    
            
      
	  i++;
	  
    } 
#else
	j=0;
	while(j<R2D_HEIGHT)
	{
	  i=0;
	  while(i<R2D_WIDTH)
	  {
            v=*p++;
			//lcd_set_pos(i,j);
			SetPixelV(bm,i,j ,
		   (~v) & 0x00FFFFFF);
		    //lcd_transmit_data((~v) & 0x00FFFFFF);
				  
			i++;	  
	  }	    
            
      
	  j++;
	  
    } 
#endif
   // Finish sending datas to LCD
 */  
   r2d_reinit_update_region();
#ifdef _WINDOWS
	lcd_refresh();
#endif
}